Update Credential
PUT/credentials/:id/
Call auditlog tasks if applicable to query.
Request
Path Parameters
- application/json
- application/x-www-form-urlencoded
- multipart/form-data
Body
required
Possible values: <= 255 characters
A unique Base58 value identifying this object.
Possible values: <= 1024 characters
Value of credential. Returns null if sensitive.
Body
required
Possible values: <= 255 characters
A unique Base58 value identifying this object.
Possible values: <= 1024 characters
Value of credential. Returns null if sensitive.
Body
required
Possible values: <= 255 characters
A unique Base58 value identifying this object.
Possible values: <= 1024 characters
Value of credential. Returns null if sensitive.
Responses
- 200
- 400
- 401
- 404
- 500
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
A unique Base58 value identifying this object.
Possible values: <= 255 characters
A unique Base58 value identifying this object.
Possible values: <= 1024 characters
Value of credential. Returns null if sensitive.
creator
object
required
A unique Base58 value identifying this object.
Possible values: <= 254 characters
Email of the user.
Possible values: <= 60 characters
Name of the user.
references
object[]
required
ID of the object where the Credential is used.
Type of the object where the Credential is used (e.g. Target, Domain).
Display name of the object where the Credential is used.
The key to identify the field where the Credential is used.
{
"id": "string",
"uri": "string",
"name": "string",
"team": "string",
"description": "string",
"is_sensitive": true,
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z",
"creator": {
"id": "string",
"email": "[email protected]",
"name": "string"
},
"usage_count": 0,
"references": [
{
"root_object_id": "string",
"root_object_type": "string",
"root_object_display_name": "string",
"ui_reference_key": "string"
}
]
}
- application/json
- Schema
- Example (from schema)
Schema
{
"<field name>": [
"Errors related to field <field name>."
],
"non_field_errors": [
"Errors not related to any field specific field."
]
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Incorrect authentication credentials."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Not found."
}
- application/json
- Schema
- Example (from schema)
Schema
{
"detail": "Unexpected error while handling your request."
}